# Simple-Sync-Phone

Assistant pour l’utilisation de rsync depuis une machine Linux vers un téléphone basé sur Android et ayant l’application **SimpleSSHD**.

---
## Préalable sur Android

* Installez **SimpleSSHD** depuis [f-droid](https://f-droid.org/fr/packages/org.galexander.sshd/), par exemple.
* Choisissez un port pour le téléphone (par défaut: 2222). Si vous envisager d’utiliser plusieurs téléphones, il peut être pratique d’utiliser le port 2223 pour le premier téléphone, 2224 pour le second…

L’utilisation de **SimpleSSHD** n’est pas obligatoire, ce qu’il faut c’est un serveur SSH (sshd) qui supporte scp, sftp, et rsync. Mais surtout il faut qu’il soit possible de modifier le port d’écoute.

---
## From your Linux

### Check-out **simple-sync-phone**

Récupérer le code de **simple-sync-phone**, depuis un terminal :

```bash
git clone --recurse-submodules https://gitea.cclaude.rocks/tools/simple-sync-phone.git
```

### Configuration automatique

Cette étape est la plus spécifique à **SimpleSSHD** qui attend, par défaut, son fichier `authorized_keys` dans le répertoire de l'application.
Elle copie votre clé public dans le fichier `authorized_keys`.

Pour chaque téléphone, utilisez la commande (en adaptant le port) :

```bash
simple-sync-phone.sh --ip 192.168.1.73 -P 2223 --init
```

ensuite

```bash
simple-sync-phone.sh --ip 192.168.1.73 -P 2224 --init
```

ainsi de suite

### Utilisation

Pour chaque téléphone synchroniser le répertoire ou le fichier comme suit :

```bash
simple-sync-phone.sh -P 2223 --source "${HOME}/my-file.jpg" -D '/sdcard/Documents/'
```

ensuite

```bash
simple-sync-phone.sh -P 2224 --source "${HOME}/my-file.jpg" -D '/sdcard/Documents/'
```

ainsi de suite

---
