# Simple-Sync-Phone

Wizard for using rsync from a Linux machine to an Android-based phone with the **SimpleSSHD** application.

---
## Prerequisite on Android

* Install **SimpleSSHD** from [f-droid](https://f-droid.org/fr/packages/org.galexander.sshd/), for example.
* Choose a port for the phone (default: 2222). If you plan to use multiple phones, it may be convenient to use port 2223 for the first phone, 2224 for the second...

Using **SimpleSSHD** is not mandatory, what is needed is an SSH server (sshd) that supports scp, sftp, and rsync. But most importantly, it must be possible to change the listening port.

---
## From your Linux

### Check-out **simple-sync-phone**

Retrieve the code for **simple-sync-phone**, from a terminal:

```bash
git clone --recurse-submodules https://gitea.cclaude.rocks/tools/simple-sync-phone.git
```

### Automatic configuration

This step is most specific to **SimpleSSHD** which expects, by default, its `authorized_keys` file in the application directory.
It copies your public key into the `authorized_keys` file.

For each phone, use the command (adapting the port):

```bash
simple-sync-phone.sh -P 2223 --init
```

then

```bash
simple-sync-phone.sh -P 2224 --init
```

and so on

### Usage

For each phone synchronize the directory or file as follows:

```bash
simple-sync-phone.sh -P 2223 --source "${HOME}/my-file.jpg" -D '/sdcard/Documents/'
```

then

```bash
simple-sync-phone.sh -P 2224 --source "${HOME}/my-file.jpg" -D '/sdcard/Documents/'
```

and so on

---
